#ifndef LIBWCCL_VALUES_TSET_H
#define LIBWCCL_VALUES_TSET_H

#include <libwccl/values/value.h>
#include <libcorpus2/tag.h>

namespace Wccl {

class TSet : public Value
{
public:
	WCCL_VALUE_PREAMBLE;

	TSet()
		: tag_()
	{
	}

	explicit TSet(Corpus2::Tag tag)
		: tag_(tag)
	{
	}

	const Corpus2::Tag& get_tag() const {
		return tag_;
	}

	void set_tag(const Corpus2::Tag& tag) {
		tag_ = tag;
	}

	Corpus2::Tag& tag_ref() {
		return tag_;
	}

	std::string to_string(const Corpus2::Tagset &) const;

	std::string to_raw_string() const;

private:
	Corpus2::Tag tag_;
};


} /* end ns Wccl */

#endif // LIBWCCL_VALUES_TSET_H
